luci-0.8: merge r4419-r4422
authorJo-Philipp Wich <jow@openwrt.org>
Sun, 12 Apr 2009 20:07:17 +0000 (20:07 +0000)
committerJo-Philipp Wich <jow@openwrt.org>
Sun, 12 Apr 2009 20:07:17 +0000 (20:07 +0000)
applications/luci-ffwizard-leipzig/luasrc/model/cbi/ffwizard.lua
libs/sys/luasrc/sys/zoneinfo.lua
modules/freifunk/root/usr/bin/ffdzero [new file with mode: 0755]
modules/freifunk/root/usr/bin/neigh.sh [new file with mode: 0755]

index d664faf845c710932e13c71a3b2b6a413ff30389..fe5a009a5f1cd36c6c25467936cb611ca3ae90c2 100644 (file)
@@ -262,19 +262,6 @@ function olsr.write(self, section, value)
        local community = net:formvalue(section)
        local external  = community and uci:get("freifunk", community, "external") or ""
 
-       -- Configure nameservice
-       local hostname
-       uci:foreach("system", "system", function(s) hostname = s.hostname end)
-
-       if hostname then
-               uci:foreach("olsrd", "LoadPlugin",
-                       function(s)
-                               if s.library == "olsrd_nameservice.so.0.3" then
-                                       uci:set("olsrd", s['.name'], "name", hostname)
-                               end
-                       end)
-       end
-
        -- Delete old interface
        uci:delete_all("olsrd", "Interface", {interface=device})
 
@@ -401,7 +388,7 @@ function client.write(self, section, value)
                target="ACCEPT"
        })
 
-
+       uci:save("firewall")
 
        -- Delete old splash
        uci:delete_all("luci_splash", "iface", {network=device.."dhcp", zone="freifunk"})
index d6de704257a10407c88f16bf3c0d95e759f91560..a5d2079ff945fbec5a4eab8fa8ced787ddd74d42 100644 (file)
@@ -76,7 +76,7 @@ TZ = {
        { 'America/Argentina/Rio Gallegos', 'ART3' },
        { 'America/Argentina/Salta', 'ART3' },
        { 'America/Argentina/San Juan', 'ART3' },
-       { 'America/Argentina/San Luis', 'ART3' },
+       { 'America/Argentina/San Luis', 'WART4WARST,M10.3.0/0,M3.3.0/0' },
        { 'America/Argentina/Tucuman', 'ART3ARST,M10.3.0/0,M3.3.0/0' },
        { 'America/Argentina/Ushuaia', 'ART3' },
        { 'America/Aruba', 'AST4' },
@@ -120,7 +120,7 @@ TZ = {
        { 'America/Guayaquil', 'ECT5' },
        { 'America/Guyana', 'GYT4' },
        { 'America/Halifax', 'AST4ADT,M3.2.0,M11.1.0' },
-       { 'America/Havana', 'CST5CDT,M3.3.0/0,M10.5.0/1' },
+       { 'America/Havana', 'CST5CDT,M3.2.0/0,M10.5.0/1' },
        { 'America/Hermosillo', 'MST7' },
        { 'America/Indiana/Indianapolis', 'EST5EDT,M3.2.0,M11.1.0' },
        { 'America/Indiana/Knox', 'CST6CDT,M3.2.0,M11.1.0' },
@@ -225,7 +225,7 @@ TZ = {
        { 'Asia/Choibalsan', 'CHOT-8' },
        { 'Asia/Chongqing', 'CST-8' },
        { 'Asia/Colombo', 'IST-5:30' },
-       { 'Asia/Damascus', 'EET-2EEST,M4.1.5/0,J305/0' },
+       { 'Asia/Damascus', 'EET-2EEST,M3.5.5/0,J305/0' },
        { 'Asia/Dhaka', 'BDT-6' },
        { 'Asia/Dili', 'TLT-9' },
        { 'Asia/Dubai', 'GST-4' },
@@ -425,6 +425,8 @@ OFFSET = {
        brt   = -10800, -- BRT
        art   = -10800, -- ART
        arst  =  -7200, -- ARST
+       wart  = -14400, -- WART
+       warst = -10800, -- WARST
        pyt   = -14400, -- PYT
        pyst  = -10800, -- PYST
        est   = -18000, -- EST
diff --git a/modules/freifunk/root/usr/bin/ffdzero b/modules/freifunk/root/usr/bin/ffdzero
new file mode 100755 (executable)
index 0000000..24e8c2e
--- /dev/null
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+test "$1" = "-h" && echo -e "Usage:\n\t$0 -h\n\t$0 [ { ip | hostname } ]" >&2 && exit 1
+
+host="${1:-leipzig.freifunk.net}"
+
+wget -O /dev/null http://$host/cgi-bin-dev-zero.bin
+test "$?" = "1" && wget -O /dev/null http://$host/cgi-bin/dev-zero.bin
+test "$?" = "1" && wget -O /dev/null http://$host/cgi-bin/luci/freifunk/status/zeroes
+test "$?" = "1" && echo "$host: no zero download found..." && exit 1
diff --git a/modules/freifunk/root/usr/bin/neigh.sh b/modules/freifunk/root/usr/bin/neigh.sh
new file mode 100755 (executable)
index 0000000..723b813
--- /dev/null
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+wget -q -O - http://localhost:2006/neighbours|sed -e's/LinkQuality/LQ/;s/Hysteresis/Hyst./;s/Willingness/Will./'